import webapp2
from google.appengine.api import modules
import notes

class IndexHandler(webapp2.RequestHandler):
    def get(self):
        self.response.headers['Content-Type'] = 'text/plain'
        self.response.write(modules.get_current_version_name())


routeHandlers = {
    '/'                           : IndexHandler,
    '/notes'                      : notes.NotesHandler,
}

webroutes = map(lambda route: webapp2.Route(route, routeHandlers[route]),
                routeHandlers.keys())
app = webapp2.WSGIApplication(webroutes, debug=True)
